import { Base, Nullable$1, Type } from "igniteui-webcomponents-core";
import { TextWriter } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class PlainTextWriter extends Base {
    static $t: Type;
    private readonly d;
    private readonly f;
    private readonly j;
    private readonly i;
    private readonly e;
    private readonly h;
    private readonly a;
    private g;
    private readonly b;
    private c;
    constructor(a: TextWriter, b: Nullable$1<string>, c: string);
    l(a: number): void;
    m(a: string): void;
    k(a?: boolean): void;
}
